> ## Documentation Index
> Fetch the complete documentation index at: https://docs.layerfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Ledger Account

> This endpoint creates an account in a business's general ledger.

### Path Parameters

<ParamField path="business_id" required="true" type="string">
  ID of the [Business](/api-reference/business/business) the Ledger Account is associated with.
</ParamField>

### Body

<ParamField body="name" required="true" type="string">
  Account name
</ParamField>

<ParamField body="normality" required="true" type="enum">
  Account balance normality.
  Values can be: `DEBIT`, `CREDIT`
</ParamField>

<ParamField body="parent_id" required="true" type="string">
  The [Account Identifier](/api-reference/ledger/account-identifier) of the parent account under which this ledger account is categorized.
</ParamField>

<ParamField body="stable_name" type="string">
  The [Stable Name](/api-reference/ledger/account-identifier#stable-name) for the new account
</ParamField>

<ParamField body="account_type" required="true" type="enum">
  Type of the ledger account.
  Values can be: `ASSET`, `LIABILITY`, `EQUITY`, `REVENUE`, or `EXPENSE`
</ParamField>

title: "Create Ledger Account"
api: "POST [https://sandbox.layerfi.com/v1/businesses/\{business\_id}/ledger/accounts](https://sandbox.layerfi.com/v1/businesses/\{business_id}/ledger/accounts)"
description: "This endpoint creates an account in a business's general ledger."
Path Parameters

<ParamField path="business_id" required="true" type="string">
  ID of the [Business](/api-reference/business/business) the Ledger Account is associated with.
</ParamField>

Body

<ParamField body="name" required="true" type="string">
  Account name
</ParamField>

<ParamField body="normality" required="true" type="enum">
  Account balance normality.
  Values can be: `DEBIT`, `CREDIT`
</ParamField>

<ParamField body="parent_id" required="true" type="string">
  The [Account Identifier](/api-reference/ledger/account-identifier) of the parent account under which this ledger account is categorized.
</ParamField>

<ParamField body="stable_name" type="string">
  The [Stable Name](/api-reference/ledger/account-identifier#stable-name) for the new account
</ParamField>

<ParamField body="account_type" required="true" type="enum">
  Type of the ledger account.
  Values can be: `ASSET`, `LIABILITY`, `EQUITY`, `REVENUE`, or `EXPENSE`
</ParamField>

<ParamField body="account_subtype" required="true" type="enum">
  Subtype of the ledger account.

  **Assets:** `BANK_ACCOUNTS`, `ACCOUNTS_RECEIVABLE`, `INVENTORY`, `PAYMENT_PROCESSOR_CLEARING_ACCOUNT`, `FIXED_ASSET`, `ACCUMULATED_DEPRECIATION`, `CASH`, `UNDEPOSITED_FUNDS`, `CURRENT_ASSET`, `NON_CURRENT_ASSET`, `PREPAID_EXPENSES`, `DEVELOPMENT_COSTS`, `LOANS_RECEIVABLE`, `REFUNDS_RECEIVABLE`, `INTANGIBLE_ASSET`

  **Liabilities:** `ACCOUNTS_PAYABLE`, `CREDIT_CARD`, `INCOME_TAXES_PAYABLE`, `SALES_TAXES_PAYABLE`, `OTHER_TAXES_PAYABLE`, `PAYROLL_TAXES_PAYABLE`, `UNEARNED_REVENUE`, `PAYROLL_LIABILITY`, `PAYROLL_CLEARING`, `LINE_OF_CREDIT`, `TIPS`, `REFUND_LIABILITIES`, `UNDEPOSITED_OUTFLOWS`, `OUTGOING_PAYMENT_CLEARING_ACCOUNT`, `OTHER_CURRENT_LIABILITY`, `LOANS_PAYABLE`, `NOTES_PAYABLE`, `SHAREHOLDER_LOAN`, `NON_CURRENT_LIABILITY`

  **Equity:** `CONTRIBUTIONS`, `DISTRIBUTIONS`, `COMMON_STOCK`, `PREFERRED_STOCK`, `ADDITIONAL_PAID_IN_CAPITAL`, `RETAINED_EARNINGS`, `ACCUMULATED_ADJUSTMENTS`, `OPENING_BALANCE_EQUITY`, `OTHER_EQUITY`

  **Revenue:** `REVENUE`, `SALES`, `UNCATEGORIZED_REVENUE`, `RETURNS_ALLOWANCES`, `DIVIDEND_INCOME`, `INTEREST_INCOME`, `OTHER_INCOME`

  **Expenses:** `COGS`, `OPERATING_EXPENSES`, `PAYROLL`, `TAXES_LICENSES`, `UNCATEGORIZED_EXPENSE`, `CHARITABLE_CONTRIBUTIONS`, `LOAN_EXPENSES`, `FINANCE_COSTS`, `INTEREST_EXPENSES`, `DEPRECIATION`, `AMORTIZATION`, `BAD_DEBT`, `OTHER_EXPENSES`
</ParamField>

### Response

Returns the [Ledger Account](/api-reference/ledger/chart#ledger-account-object)

<RequestExample>
  ```bash Request theme={null}
  curl -X POST https://sandbox.layerfi.com/v1/businesses/863ed926-e30d-40f4-8e7e-b0d5387ce4fb/ledger/accounts \
    -H "Authorization: Bearer <access_token>" \
    -H "Content-Type: application/json" \
    -d '{
      "name": "Test Expense Account",
      "normality": "DEBIT",
      "description": "Test account description",
      "account_type": "EXPENSE",
      "account_subtype": "COGS",
      "parent_id": {
        "type": "StableName",
        "stable_name": "COST_OF_GOODS_SOLD"
      }
    }'

  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
      "data": {
          "type": "Single_Chart_Account",
          "id": "dc8e8032-494a-441d-a566-613baedc7f00",
          "name": "Test Expense Account",
          "stable_name": null,
          "normality": "DEBIT",
          "account_type": {
              "value": "EXPENSE",
              "display_name": "Expenses"
          },
          "account_subtype": {
              "value": "COGS",
              "display_name": "COGS"
          }
      }
  }

  ```
</ResponseExample>
